//
//  TVTableGenerator.h
//  TVPlugin
//
//  Created by Takaho A. Endo on 05/07/15.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <WebKit/WebKit.h>
#import "AreaProgram.h"

@interface TVTableGenerator : NSObject {
	NSString* CSVFilename;
	AreaProgram* areaTable;
}

-(TVTableGenerator*)initWithWebView: (WebView*)view;
-(void)dealloc;
-(void)windowScriptObjectAvailable:(WebScriptObject*)wso;
+(NSString*)webScriptNameForSelector:(SEL)aSel;

+(BOOL)isSelectorExcludedFromWebScript:(SEL)aSel;
+(BOOL)isKeyExcludedFromWebScript:(const char*)k;


//
-(void)setProgramFile: (NSString*)filename;
-(void)removeProgramFile: (NSString*)filename;
-(NSString*)getProgramFile;

-(NSString*)getProgramListWithRange : (NSString*) format channel:(int)number start:(int)startMinutes	end:(int)endMinutes;	
-(NSString*)getCurrentPrograms: (int) minutes;
-(NSString*)getChannelName : (int)num;
-(int)getChannelSize;
-(NSString*)getArea;

@end
